#!/usr/bin/python
# ZADATAK 1
# Napisati skript koji otvara lokalnu tekstualnu datoteku razno.txt, ekstrahuje iz nje sve identifikatore, 
# i njihova jedinstvena pojavljivanja upisuje u drugu datoteku identifikatori.txt. 
# Pod identifikatorom podrazumevati reči koje sadrže samo slova, cifre i podvlaku, pri čemu kao prvi karakter može 
# da figuriše samo slovo ili podvlaka. 
# 		razno.txt: fdsal 343 ekfa34 34afad _dfsl fdsal identifikatori.txt: fdsal ekfa34 _dfsl

# otvaranje fajla
f = open("razno.txt", "r")
data = f.readlines()
f.close()

# funkcija koja proverava da li je 
# data rec identifikator
def isIdentif(rec):
	if len(rec) == 0:
		return False
	if rec[0].isdigit():
		return False
	if not (rec[0].isalpha() or rec[0] == '_'):
		return False
	# Ako je rec samo 1 karakter, onda se vraca True jer je rec prosla proveru (uslov iznad)
	if len(rec) == 1:
		return True
	# rec posmatramo bez prvog karaktera koji je proveren
	rec = rec[1:]
	for c in rec:
		if not (c.isalpha() or c.isdigit() or c == '_'):
			return False

	return True

def removeNewLine(rec):
	if not rec.endswith('\n'):
		return rec
	return rec[0:len(rec)-1]

# Kreiramo fajl u koji ce se zapisati indentifikatori
log = open("identifikatori.txt", "w")

# Kreira se skup u kome ce se cuvati pronadjeni identifikatori
# Primetimo da cemo time izbeci pojave duplikata
logData = set()

for line in data:
	linije = line.split(" ")
	for rec in linije:
		rec = removeNewLine(rec)		# uklanjamo novi red iz reci ukoliko postoji
		if isIdentif(rec):
			logData.add(rec)


# upisimo u fajl
for iden in logData:
	log.write(iden + "\n")
log.close()
