#!/usr/bin/python

import sys
import operator

# provera arg komandne linije
if len(sys.argv) != 2:
    print("Greska pri unosu argumenata komandne linije!")
    exit()

# otvaranje fajla
fajl = open("reci.txt", 'r')
trazena_rec = sys.argv[1]
linije = fajl.readlines()
fajl.close()

# OVO IZBACITI POSLE
slova = ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z']

# RECNIK JE NEPOTREBAN
recnik_tezina = {}

for linija in linije:
    reci = linija.split(" ")

    for rec in reci:
		# vrsimo konverziju u mala slova
        rec = rec.lower()

		# izbacujemo znak za novi red
        if rec.endswith("\n"):
            rec = rec[0 : len(rec)-1]

		# vrsi se brojanje pojavljivanja same reci u fajlu
        if rec in recnik_tezina:
            recnik_tezina[rec] += 1
        else:
            recnik_tezina[rec] = 1
            
# uzimamo sve kljuceve iz mape
kljucevi = recnik_tezina.keys()

# kopija je uvedena jer je python pravio problem oko izbacivanja elementa iz liste
# Na casu je radilo okej, na mom racunaru je najnoviji python pa je mozda to problem 
kopija = dict(recnik_tezina)

# odstranjuju se suvisne reci
for word in kljucevi:
    if not word.startswith(trazena_rec):
        del kopija[word]
		

# vrsimo sortiranje po broju pojavljivanja reci u datoteci
sorted_x = sorted(kopija.items(), key = operator.itemgetter(0))


for x in sorted_x:
    print(str(x[0]))
